[CentOS-virt] KVM: where are the directions?

Kenni Lund kenni at kelu.dk
Sun Nov 14 18:11:42 EST 2010

2010/11/14 MargoAndTodd <margoandtodd at gmail.com>:
> On 11/13/2010 07:44 AM, compdoc wrote:
>>> $ uname -r -m
>>> 2.6.18-194.26.1.el5 i686
>>> $ rpm -qa \*kvm\*
>>> kvm-36-1
>>> kmod-kvm-36-3
>>> Not even close to 83.  :-(
>> My centos 5.5 has kvm 83. I'm not sure how you got that old stuff
> I am 32 bit.
> yum install kvm kmod-kvm

You might have it installed it with yum, but in that case you've added
3rd party RPM-repositories (rpmforge, EPEL, etc).

These are the packages which were available in *32 bit* CentOS 5.5 at
release time (search for kvm and you'll find nothing):

And these are the packages available currently to *32bit* CentOS 5.5
through updates:
(still nothing)

Now, these are the packages which were available in *64bit* CentOS 5.5
at release time:
Notice that this list contains kvm-83-164.el5.x86_64.rpm and other
related KVM packages...

...and the current 64-bit updates:
which contains several kvm-packages, with the latest being

So, as I said, the 32 bit CentOS doesn't contain KVM, not v36, not v83
- you'll need a 64-bit system. Also, if you want a stable system,
DON'T use 3rd party repositories unless you take extremely care and
know what you're doing. If you enable some random bleeding edge 3rd
party repository, and lets yum install packages and updates from it,
you could just as well setup your server with some bleeding edge Linux
distribution instead of RHEL/CentOS; Fedora, Ubuntu Desktop, Gentoo,
Arch Linux, [insert your favorite bleeding edge distro here]. Unless
you've setup yum priorities (which is not a good thing either, but
better than nothing), yum will always download the unstable packages
from the 3rd party repositories, and replace stable CentOS packages
with them (since they're newer).

Best regards

More information about the CentOS-virt mailing list